Get
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.StepUpTransaction.Get(ctx, operations.C1APIStepupV1StepUpTransactionServiceGetRequest{
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.GetStepUpTransactionResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.stepUpTransaction.get({
id: "<id>",
});
console.log(result);
}
run();curl --request GET \
--url https://{tenantDomain}.conductor.one/api/v1/step-up/transactions/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/step-up/transactions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}.conductor.one/api/v1/step-up/transactions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transaction": {
"approveTask": {
"policyStepId": "<string>",
"taskId": "<string>"
},
"claims": {},
"createdAt": "2023-11-07T05:31:56Z",
"errorMessage": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"providerId": "<string>",
"test": {},
"updatedAt": "2023-11-07T05:31:56Z",
"userId": "<string>"
}
}Step Up Authentication Transactions
Get
Get retrieves a specific step-up transaction by ID
GET
/
api
/
v1
/
step-up
/
transactions
/
{id}
Get
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.StepUpTransaction.Get(ctx, operations.C1APIStepupV1StepUpTransactionServiceGetRequest{
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.GetStepUpTransactionResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.stepUpTransaction.get({
id: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
ID of the transaction to retrieve
Response
200 - application/json
Response message containing the requested step-up transaction
Response message containing the requested step-up transaction
StepUpTransaction represents a record of a step-up authentication attempt
This message contains a oneof named target. Only a single field of the following list may be set at a time:
- approveTask
- test
Show child attributes
Show child attributes
Was this page helpful?
⌘I